MODULE kinds_mod

  !-----------------------------------------------------------------------------
  !   This module defines kinds for common data types. Specific integer &
  !   logical kind values are provided to eliminate many incorrect flint
  !   error messages.
  !   CVS:$Id: kinds_mod_flint.F90,v 1.1.1.1 2004/09/13 20:11:32 yeager Exp $
  !-----------------------------------------------------------------------------

  IMPLICIT NONE
  SAVE

  !*****************************************************************************

  INTEGER, PARAMETER :: char_len  = 256
  INTEGER, PARAMETER :: int_kind  = 4
  INTEGER, PARAMETER :: log_kind  = 4
  INTEGER, PARAMETER :: real_kind = SELECTED_REAL_KIND(6)
  INTEGER, PARAMETER :: dbl_kind  = SELECTED_REAL_KIND(13)

  !*****************************************************************************

END MODULE kinds_mod
