PROGRAM test
  USE nf_wrap
  USE nf_tools

  CHARACTER(LEN=100) :: map_file,src_lon_name
  integer :: map_ncid,src_grid_dimsid,ndims,imt
  integer, dimension(4) :: dimids

  map_file='/ptmp/yeager/remap_gx1v3Tk01_to_ll1.0x0.5deg_tropical.nc'
 
  CALL nf_open_wrap(map_file, 0, map_ncid)
  CALL nf_inq_varid_wrap(map_ncid, 'src_grid_dims', src_grid_dimsid)
  CALL nf_inq_varndims_wrap(map_ncid, src_grid_dimsid, ndims)
  CALL nf_inq_vardimid_wrap(map_ncid, src_grid_dimsid, dimids)
  CALL nf_inq_dim_wrap(map_ncid, dimids(1), src_lon_name, imt)

  write(6,*) src_lon_name,imt

END PROGRAM test
